<!--
  -   This file is a part of the SteamWar software.
  -
  -   Copyright (C) 2023 SteamWar.de-Serverteam
  -
  -   This program is free software: you can redistribute it and/or modify
  -   it under the terms of the GNU Affero General Public License as published by
  -   the Free Software Foundation, either version 3 of the License, or
  -   (at your option) any later version.
  -
  -   This program is distributed in the hope that it will be useful,
  -   but WITHOUT ANY WARRANTY; without even the implied warranty of
  -   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  -   GNU Affero General Public License for more details.
  -
  -   You should have received a copy of the GNU Affero General Public License
  -   along with this program.  If not, see <https://www.gnu.org/licenses/>.
  -->

<script lang="ts">
    import { Card } from "@components/ui/card";

    interface Props {
        children?: import("svelte").Snippet;
        ondrop: (event: DragEvent) => void;
    }

    let { children, ondrop }: Props = $props();

    let dragover = $state(false);

    function handleDragOver(e) {
        e.preventDefault();
        dragover = true;
    }

    function handleDrop(ev: DragEvent) {
        ev.preventDefault();
        dragover = false;
        ondrop(ev);
    }
</script>

<Card class="w-56 p-4 rounded m-px {dragover ? 'border-white' : ''}" ondrop={handleDrop} ondragover={handleDragOver} ondragleave={() => (dragover = false)} role="none">
    {@render children?.()}
</Card>

<style>
    div {
        min-height: 14rem;
    }
</style>
